package request

type AddHostManageReq struct {
	HostName    string `form:"hostName" binding:"required"`  // 主机分组名称
	HostType    int    `form:"hostType" binding:"oneof=0 1"` //主机上传类型（0列表维护 1文件上传）
	HostFileUrl string `form:"hostFileUrl"`                  // 主机文件url
	//HostFile       string `form:"hostFile"`                    // 主机文件
	HostManageList string `form:"hostManageList"` //主机列表
}

type HostManageList struct {
	Ip          string `json:"ip"`          // ip
	Port        string `json:"port"`        // 端口
	VoucherType int    `json:"voucherType"` // 凭证类型（0密码验证 1密钥验证）
	UserName    string `json:"userName"`    // 用户名
	Password    string `json:"password"`    // 密码
}

type EditHostManageReq struct {
	Id             int    `form:"id" binding:"required"`        // 主键ID
	HostType       int    `form:"hostType" binding:"oneof=0 1"` //主机上传类型（0列表维护 1文件上传）
	HostFileUrl    string `form:"hostFileUrl"`                  // 主机文件url
	HostManageList string `form:"hostManageList"`               //主机列表
}

type DelHostManageReq struct {
	Id []int `json:"id" vd:"len($)>0;msg:'请输入id'"` // 主键ID
}

type ListHostManageReq struct {
	Search         string `json:"search"`         //关键词
	CreateDateFrom string `json:"createDateFrom"` //创建时间从
	CreateDateTo   string `json:"createDateTo"`   //创建时间至
	Pagination
}

type StateHostManageReq struct {
	Id int `json:"id" form:"id" binding:"required"` //主键ID
	Pagination
}
