package request

import "gitlab.wodcloud.com/smart-operation/so-operation-api/src/bean/entity"

type AddMetricConfig struct {
	ClassId       int                 `json:"class_id" form:"class_id" binding:"required"`                     // 预警对象分类id
	MetricName    string              `json:"metric_name" form:"metric_name" binding:"required"`               // 指标名称
	Expr          string              `json:"expr" form:"expr" binding:"required"`                             // 指标表达式(PromQL语句)
	AlertRange    []entity.AlertRange `json:"alert_range" form:"alert_range" binding:"required,dive"`          // 预警范围 字典值
	Duration      int                 `json:"duration" form:"duration"`                                        // 持续时间
	DurationUnit  string              `json:"duration_unit" form:"duration_unit" binding:"required"`           // 持续时间单位 s m h
	CheckPeriod   int                 `json:"check_period" form:"check_period" binding:"oneof=1 3 5 10 20 30"` // 检查周期 单位:分钟
	IsEnabled     int                 `json:"is_enabled" form:"is_enabled" `                                   // 是否开启 0:关闭 1:启动
	AlertRuleType string              `json:"alert_rule_type" form:"alert_rule_type" binding:"required"`       // 预警规则类型 关联字典表
}

type UpdateMetricConfig struct {
	Id            string              `json:"id" form:"id" binding:"required"`                                 // 主键id
	ClassId       int                 `json:"class_id" form:"class_id" binding:"required"`                     // 预警对象分类id
	MetricName    string              `json:"metric_name" form:"metric_name" binding:"required"`               // 指标名称
	Expr          string              `json:"expr" form:"expr" binding:"required"`                             // 指标表达式(PromQL语句)
	AlertRange    []entity.AlertRange `json:"alert_range" form:"alert_range" binding:"required,dive"`          // 预警范围 字典值
	Duration      int                 `json:"duration" form:"duration"`                                        // 持续时间
	DurationUnit  string              `json:"duration_unit" form:"duration_unit" binding:"required"`           // 持续时间单位 s m h
	CheckPeriod   int                 `json:"check_period" form:"check_period" binding:"oneof=1 3 5 10 20 30"` // 检查周期 单位:分钟
	IsEnabled     int                 `json:"is_enabled" form:"is_enabled" `                                   // 是否开启 0:关闭 1:启动
	AlertRuleType string              `json:"alert_rule_type" form:"alert_rule_type" binding:"required"`       // 预警规则类型 关联字典表
}

type GetMetricConfig struct {
	Id string `json:"id" form:"id" binding:"required"` // 主键id
}

type DeleteMetricConfig struct {
	Id string `json:"id" form:"id" binding:"required"` // 主键id
}
