package request

type AddTaskManageReq struct {
	TaskName    string `json:"taskName" vd:"len($)>0;msg:'请输入任务名称'"` // 任务名称
	TaskDesc    string `json:"taskDesc"`                             // 任务描述
	YamlDesc    string `json:"yamlDesc"`                             // yaml内容
	YamlUrl     string `json:"yamlUrl"`                              // yaml文件url
	HostGroupId int    `json:"hostGroupId" vd:"$>0;msg:'请选择主机分组'"`   // 主机分组ID
}

type EditTaskManageReq struct {
	Id          int    `json:"id" vd:"$>0;msg:'请输入id'"`            // 主键ID
	TaskDesc    string `json:"taskDesc"`                           // 任务描述
	YamlDesc    string `json:"yamlDesc"`                           // yaml内容
	YamlUrl     string `json:"yamlUrl"`                            // yaml文件url
	HostGroupId int    `json:"hostGroupId" vd:"$>0;msg:'请选择主机分组'"` // 主机分组ID
}

type DelTaskManageReq struct {
	Id []int `json:"id" vd:"len($)>0;msg:'请输入id'"` // 主键ID
}

type DetailsTaskManageReq struct {
	Id int `json:"id" vd:"$>0;msg:'请输入id'"` // 主键ID
}

type ListTaskManageReq struct {
	Search         string `json:"search" form:"search"`                 //关键词
	CreateDateFrom string `json:"createDateFrom" form:"createDateFrom"` //创建时间从
	CreateDateTo   string `json:"createDateTo" form:"createDateTo"`     //创建时间至
	Pagination
}

type ExecScriptReq struct {
	HostGroupId int    `form:"host_group_id" vd:"$>0;msg:'请输入主机分组id'"` //主机分组id
	Type        int    `form:"type"`                                   //脚本额外变量类型1yaml 2json
	Value       string `form:"value"`                                  //脚本额外变量值
	Script      string `form:"script"`                                 //执行脚本
}
