package response

import "time"

type HostManageRes struct {
	Id          int        `json:"id"`          // id
	HostName    string     `json:"hostName"`    // 主机分组名称
	TaskCnt     int        `json:"taskCnt"`     // 任务数量
	IpCnt       int        `json:"ipCnt"`       // ip数量
	CreateUser  string     `json:"createUser"`  // 创建人
	CreateTime  time.Time  `json:"createTime"`  // 创建时间
	UpdateUser  string     `json:"updateUser"`  // 修改人
	UpdateTime  time.Time  `json:"updateTime"`  // 修改时间
	HostFileUrl string     `json:"hostFileUrl"` // 主机文件url
	HostList    []HostList `json:"hostList"`    // 主机列表
	TaskList    []TaskList `json:"taskList"`    // 主机列表
}

type HostManage struct {
	Id         int       `json:"id"`         // id
	HostName   string    `json:"hostName"`   // 主机分组名称
	CreateUser string    `json:"createUser"` // 创建人
	CreateTime time.Time `json:"createTime"` // 创建时间
	UpdateUser string    `json:"updateUser"` // 修改人
	UpdateTime time.Time `json:"updateTime"` // 修改时间
}

type HostList struct {
	Id          int    `json:"id"`          // id
	Ip          string `json:"ip"`          // ip
	Port        string `json:"port"`        // 端口
	HostFileUrl string `json:"hostFileUrl"` // 主机文件url
}

type TaskList struct {
	Id       int    `json:"id"`       // id
	TaskName string `json:"taskName"` // 任务名称
	TaskDesc string `json:"taskDesc"` // 任务描述
	ExecCnt  int    `json:"execCnt"`  // 执行次数
}

type HostManagesRes struct {
	Id         int       `json:"id"`         // id
	HostName   string    `json:"hostName"`   // 主机分组名称
	CreateUser string    `json:"createUser"` // 创建人
	CreateTime time.Time `json:"createTime"` // 创建时间
	TaskCnt    int       `json:"taskCnt"`    // 任务数量
	IpCntErr   int       `json:"ipCntErr"`   // ip数量（异常）
	IpCnt      int       `json:"ipCnt"`      // ip数量(全部)
}

type HostManageListRes struct {
	Id          int    `json:"id"`          // id
	Ip          string `json:"ip"`          // ip
	Port        string `json:"port"`        // 端口
	VoucherType int    `json:"voucherType"` // 凭证类型（0密码验证 密钥验证）
	UserName    string `json:"userName"`    // 用户名
	Password    string `json:"password"`    // 密码
}
