package router

import (
	"fmt"
	"github.com/gin-gonic/gin"
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/common/conf"
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/controller"
)

// InitMetricConfigRouter 初始化指标配置路由
func InitMetricConfigRouter(e *gin.Engine) {
	base := e.Group(fmt.Sprintf("%s/metric_config", conf.Options.Prefix))
	{
		base.POST("", controller.AddMetricConfig)
		base.PUT("", controller.UpdateMetricConfig)
		base.GET("", controller.DetailMetricConfig)
		base.DELETE("", controller.DeleteMetricConfig)
	}
}
